# The filch controller.
class FilchController < ::ApplicationController
  # Datalist returns data for the datalist.
  def datalist
    model, column, pq = params[:column].split('.')
    ransack_q = Filch.datalist(model, column, params[pq])
    render(
      partial: 'filch/quick',
      layout: false,
      locals: { q: ransack_q }
    )
  end
end
